$(document).ready(function(){
	// $("#informacion").on("click",function(){

	// 	$("#modal-informacion").modal("show");
	// });
	var validator = $("#formulary").validate({
        rules:{
            'documento':{
                required:true,
                number:true,
            },
            'paterno':{
                required:true
            },
            'nombres':{
                required:true
            }    
        },
        messages:{
            'documento':{
                required:"Este campo es requerido.",
                number:"Solo se permite números."
            },
            'paterno':{
                required:"Este campo es requerido."
            },
            'nombres':{
                required:"Este campo es requerido."
            }
        }
    });


    $("#validacion").on("click",function(){
		var response = grecaptcha.getResponse();
    	var validar = validator.form();
		if (response.length == 0) {
			$('#recaptchaError').removeClass('d-none');
			$('#recaptchaError').addClass('d-block');
		}else {
			$('#recaptchaError').addClass('d-none');
            $('#recaptchaError').removeClass('d-block');
			if(validar == true){
				data = $("#formulary").serialize();
				$('.content').loader('show');
				$.ajax({
					type: "GET",
					dataType: "json",
					url: base_url+"/api/extranjero",
					data:data,
					success:function(data){

						$('.content').loader('hide');
						if(data.status == true){

							$(location).attr('href', base_url+'/formulario?d='+data.d+"&q="+data.query+"&e="+data.extranjero);

						}else{
							$.confirm({
								title: 'Error!',
								content: data['message'],
								type: 'red',
								theme: 'modern',
								closeIcon: true,
								icon: 'fas fa-exclamation-triangle',
								buttons: {
									confirm: {
										text:"Intentar de nuevo",
										btnClass: 'btn-red',
										action: function(){
											// table.draw();
										}
									},
									cancel:{
										text:"Salir",
										action:function(){
											
										}
									}
								}
							});
						}
					},
					error:function(result){

					}
				});
			}
		}
    })
});